<!doctype html>
<html lang="es">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.8.2/css/bulma.min.css">
  <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
  <link rel="stylesheet" href="/css/franklin.css">
  <link rel="stylesheet" href="/css/basic.css">
  <link rel="stylesheet" href="/css/style.css">
  <link rel="icon" href="/assets/favicon.png">
   <title>Formulario para crear cuestionarios Moodle</title>  
</head>
<body>
    <div class="hero is-white is-medium">
        <div class="hero-head">
            <nav class="navbar content is-white" aria-label="main navigator">
        <div class="navbar-brand">
            <a class="navbar-item" href="https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl">
                <img src="/assets/imgs/julia.png" width="100" height="62" alt="Julia logo">
                <img src="/assets/imgs/moodle.png" width="112" height="28" alt="Moodle logo">
            </a>
        </div>
        <div class="navbar-brand">
            <h1 class="title is-size-2-desktop is-size-3-touch is-size-7-mobile">Formulario <span class="is-hidden-mobile">para generar</span> Cuestionarios Moodle</h1>
        </div>
            </nav>
        </div>
    </div>
    <div class="content is-medium">
<!-- Content appended here -->
<div class="container"><p>Con la llegada del coronavirus, el uso de PRADO/Moodle se ha convertido en una herramienta imprescindible, especialmente para la realización de pruebas evaluables o de autoevaluación mediante el uso de Cuestionarios.</p>
<p>Para facilitar la creación de este tipo de cuestionarios al profesorado en general, esta página web permite generar, a partir de una sintaxis muy sencilla, ficheros que pueden importarse en PRADO como Bancos de preguntas &#40;como formato XMLMoodle&#41;. 
<div class="tabs is-medium">
<ul>
<li class=""><a href="/">Formulario</a></li>
<li class="is-active"><a href="/instrucciones/">Intrucciones</a></li>
<li class=""><a href="/ejemplos/">Ejemplos</a></li>
</ul>
</div>
</p>

    <h2 class="subtitle is-4"> Instrucciones de Formato</h2>
    
<p>La sintaxis es muy sencilla, y en modo texto, en donde los espacios no son tenidos en cuenta. Se compone de los siguientes tipos de preguntas:</p>

    <h2 class="subtitle is-5"> Preguntas con Opciones (Respuesta única y múltiple)</h2>
    
<p>Estas preguntas se listan sin ningún tipo de símbolo inicial. Tras cada pregunta se debe de indicar las distintas opciones posibles, precedidas cada una de ellas con &quot;-&quot; ó &quot;&#43;&quot;. La opción con un &quot;&#43;&quot; es la verdadera, el resto son falsas. El orden de aparición de las opciones es aleatorio, excepto en el caso de que una de las respuestas contenga <em>A</em>, <em>B</em>, <em>C</em>, ... para permitir respuestas del tipo &quot;Las respuestas A y C son correctas&quot;. En ese caso el orden no es aleatorio.</p>
<div class="message"><p><strong>Ejemplos:</strong></p>
<p>El coronavirus es el virus, y la enfermedad se llama:</p>

- Sueño.<br>
+ Covid-19.<br>
- Resfriado.<br>
<br>

<p>A la hora de salir debo: 
<br>
+ Intentar mantener la distancia de seguridad.<br>
- Ir rápido y con ropa de deporte.<br>
+ Ir con mascarilla.<br>
</p>
<p>A la hora de ir de compras debo: 
<br>
- Respetar la distancia en la cola.<br>
- Entrar sin mirar.<br>
- Cumplir el límite de aforo.<br>
+ La opción A y C son correctas.<br>
<br>
</p></div>
<p>Aunque por defecto supone preguntas de una línea, también se pueden usar preguntas usando varios párrafos usando el separador &#96;.</p>
<div class="message"><p><strong>Ejemplo:</strong></p>
<p>&#96;¿Quién dijo la siguiente frase?: 
<br>
<br>
"No tengo un talento especial. Sólo soy apasionadamente curioso."<br>
&#96;
<br>
- Descartes.<br>
+ Albert Eistein.<br>
- Platon.<br>
</p></div>

    <h2 class="subtitle is-5"> Preguntas de tipo Verdadero/Falso</h2>
    
<p>Las preguntas verdadero o falso se describen con una frase terminada en &quot;-&quot; &#40;si la respuesta correcta es &quot;Falso&quot;&#41; o terminada en &quot;&#43;&quot; &#40;si la respuesta correcta es &quot;Verdadero&quot;&#41;. </p>
<div class="message"><p><strong>Ejemplos:</strong></p>
<p>El confinamiento es recomendable para evitar difundir el coronavirus. &#43;</p>
<p>No es recomendable el uso de mascarillas. -</p></div>

    <h2 class="subtitle is-5"> Preguntas de tipo Ensayo</h2>
    
<p>Las preguntas de tipo ensayo, en la que el alumno o la alumna debe de indicar un texto que será valorado por el profesorado, se puede indicar con una frase totalmente entre corchetes.</p>
<div class="message"><p><strong>Ejemplo:</strong></p>
<p>&#91;Motive por qué el confinamiento reduce la expansión del virus.&#93;</p></div>

    <h2 class="subtitle is-5"> Preguntas Cortas</h2>
    
<p>Las preguntas cortas son en las que el alumno introduce directamente la respuesta, y existe una solución correcta, que verifica el sistema, las mayúsculas no son importantes. Es recomendable únicamente para respuestas muy cortas &#40;como una palabra&#41;. La sintaxis es la pregunta, y a continuación la respuesta correcta entre corchetes.</p>
<div class="message"><p><strong>Ejemplo:</strong></p>
<p>El estar encerrado en casa para evitar el contagio se llama... &#91;confinamiento&#93;</p></div>

    <h2 class="subtitle is-5"> Categorías</h2>
    
<p>Las categorías son agrupaciones de preguntas, se indican con un asterisco y su nombre antes del conjunto de preguntas que se englobarán en dicha categoría. Son opcionales. Por cada categoría se generará un fichero XML que se deberá de importar en <strong>Moodle</strong> como *XML Moodle**.</p>
<div class="message"><p><strong>Ejemplo:</strong></p>

* Categoría Salud<br>
<br>
Primera Pregunta de salud.<br>
- Opción 1.<br>
+ Opción 2.<br>
<br>
Segunda pregunta de salud.<br>
...<br>
<br>
* Categoría Medio Ambiente<br>

Primera pregunta de medio ambiente</br>
...<br></div>
<footer class="footer">
<div class="content has-text-centerer">
    <div class="copyright">
        <p>
            <strong>Moodle Tools</strong> by <a href="https://dmolina.github.io">Daniel Molina</a>. The source code is licensed
            <a href="http://opensource.org/licenses/mit-license.php">MIT</a> at <a href="https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl" target="_blank">https://github.com.cnpmjs.org/dmolina/MoodleQuestions.jl</a>.
        </p>
        <p>The website content
            is licensed <a href="http://creativecommons.org/licenses/by-nc-sa/4.0/">CC BY NC SA 4.0</a>.
        </p>
 
    &copy; Daniel Molina. Last modified: August 26, 2022. Website built with <a href="https://github.com/tlienart/Franklin.jl">Franklin.jl</a>.
  </div>
</div>
</footer>
</div><!-- CONTENT ENDS HERE -->
</div>
  </body>
</html>
